- include_tasks: facts.yaml
- include_tasks: plan.yaml
- include_tasks: "{{ imgplan }}.yaml"
- include_tasks: secrets.yaml
- include_tasks: database.yaml
- include_tasks: configure.yaml
- include_tasks: upgrades.yaml
  when:
  - af_dc is defined
  - af_dc.resources is defined
  - af_dc.resources[0] is defined
  - af_dc.resources[0].spec is defined
  - >
     ((deployment_kind == 'Deployment' or (do_triggers | default(False)) == False)
      and af_dc.resources[0].spec.template is defined
      and af_dc.resources[0].spec.template.spec is defined
      and af_dc.resources[0].spec.template.spec.containers is defined
      and af_dc.resources[0].spec.template.spec.containers[0] is defined
      and af_dc.resources[0].spec.template.spec.containers[0].image is defined
      and not (af_dc.resources[0].spec.template.spec.containers[0].image is regex("artifactory-oss:" ~ artifactory_tag)))
     or (deployment_kind == 'DeploymentConfig'
         and (do_triggers | default(False))
         and af_dc.resources[0].spec.triggers is defined
         and af_dc.resources[0].spec.triggers[0] is defined
         and af_dc.resources[0].spec.triggers[0].imageChangeParams is defined
         and af_dc.resources[0].spec.triggers[0].imageChangeParams.from is defined
         and af_dc.resources[0].spec.triggers[0].imageChangeParams.from.name is defined
         and af_dc.resources[0].spec.triggers[0].imageChangeParams.from.name != ("artifactory-oss:" ~ artifactory_tag))
- include_tasks: deploy.yaml
- include_tasks: slaves.yaml
- include_tasks: verify.yaml
